## jetty12 12.0.17

=== debian/changelog ===
jetty12 (12.0.17-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2025-5115: MadeYouReset HTTP/2 vulnerability (Closes: #1111765)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Sep 2025 09:34:36 +0300

jetty12 (12.0.17-3) unstable; urgency=high

  * Renamed the rsyslogd configuration file (Closes: #1103148)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 14 Apr 2025 14:30:21 +0200

jetty12 (12.0.17-2) unstable; urgency=high

  * Source-only upload

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 13 Apr 2025 17:06:20 +0200

jetty12 (12.0.17-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - License change from EPL-1.0 to EPL-2.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Feb 2025 10:50:21 +0100

jetty9 (9.4.56-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Oct 2024 17:27:31 +0200

jetty9 (9.4.55-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 02 Aug 2024 08:55:22 +0200

jetty9 (9.4.54-1) unstable; urgency=high

  * Team upload.
  * New upstream version 9.4.54.
    - Fix CVE-2024-22201:
      It was discovered that remote attackers may leave many HTTP/2 connections
      in ESTABLISHED state (not closed), TCP congested and idle. Eventually the
      server will stop accepting new connections from valid clients which can
      cause a denial of service. (Closes: #1064923)
      Thanks to Salvatore Bonaccorso for the report.

 -- Markus Koschany <apo@debian.org>  Sat, 06 Apr 2024 12:54:58 +0200

jetty9 (9.4.53-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 Oct 2023 23:07:28 +0200

jetty9 (9.4.52-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.4.52.
  * Refresh the patches.

 -- Markus Koschany <apo@debian.org>  Sun, 24 Sep 2023 01:40:05 +0200

jetty9 (9.4.51-2) experimental; urgency=medium

  * Team upload.
  * Revert switch to libtomcat10-java. (Closes: #1036798)

 -- Markus Koschany <apo@debian.org>  Sat, 27 May 2023 16:47:13 +0200

jetty9 (9.4.50-4) unstable; urgency=medium

  * Team upload.
  * Revert the switch to libtomcat10-java. For now Jetty 9 only works correctly
    with libtomcat9-java. (Closes: #1036798)

 -- Markus Koschany <apo@debian.org>  Sat, 27 May 2023 16:28:19 +0200

jetty9 (9.4.51-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace dependency on lsb-base with sysvinit-utils.
    - Fix: lintian error depends-on-obsolete-package.
  * Add a systemd timer for debian/jetty9.service.
    - Fix: lintian warning missing-systemd-timer-for-cron-script.
  * Fix lintian warning skip-systemd-native-flag-missing-pre-depends.
  * Fix lintian warning mismatched-override.

 -- sun min <sunmin89@outlook.com>  Wed, 29 Mar 2023 10:10:33 +0800

jetty9 (9.4.50-3) unstable; urgency=medium

  * Team upload.
  * Depend on libtomcat10-java instead of libtomcat9-java.
  * Add tomcat10-migration.patch.
  * Ignore jetty-jaspi module because it does not work with Tomcat 10 yet.

 -- Markus Koschany <apo@debian.org>  Sun, 19 Feb 2023 13:41:00 +0100

jetty9 (9.4.50-2) unstable; urgency=medium

  * Depend on libeclipse-jdt-core-java instead of libecj-java
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 06 Jan 2023 12:08:38 +0100

jetty9 (9.4.50-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 27 Nov 2022 22:47:21 +0100

jetty9 (9.4.49-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.4.49.

 -- Markus Koschany <apo@debian.org>  Thu, 22 Sep 2022 23:41:17 +0200

jetty9 (9.4.48-1) unstable; urgency=high

  * Team upload.
  * New upstream version 9.4.48.
    - Fix CVE-2022-2048 and CVE-2022-2047.

 -- Markus Koschany <apo@debian.org>  Mon, 18 Jul 2022 13:26:56 +0200

jetty9 (9.4.46-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 May 2022 18:42:20 +0200

jetty9 (9.4.45-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.4.45.
  * Remove haproxy binary file from the sources.

 -- Markus Koschany <apo@debian.org>  Fri, 11 Feb 2022 11:13:49 +0100

jetty9 (9.4.44-4) unstable; urgency=medium

  * Team upload.
  * Add servlet-api.patch and correct the API version in jetty-home/pom.xml.
    This used to work because libservlet3.1-java was pulled in as a transitive
    dependency. (Closes: #1002274)

 -- Markus Koschany <apo@debian.org>  Sat, 25 Dec 2021 23:37:56 +0100

jetty9 (9.4.44-3) unstable; urgency=medium

  * Team upload.
  * Ignore junit-bom artifact of scope import.
    The junit-bom dependency caused several FTBFS because of
    reverse-dependencies that did not depend on junit5.

 -- Markus Koschany <apo@debian.org>  Fri, 12 Nov 2021 12:14:57 +0100

jetty9 (9.4.44-2) unstable; urgency=medium

  * Team upload.
  * Update README.Debian and clarify how to override systemd security features.
    (Closes: #994440)
  * Replace deprecated configuration options in start.ini.
    Thanks to Martin van Es for the report. (Closes: #994441)

 -- Markus Koschany <apo@debian.org>  Mon, 18 Oct 2021 11:51:58 +0200

jetty9 (9.4.44-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Updated the Maven rules
  * Depend on libservlet-api-java instead of libservlet3.1-java
  * No longer remove the jetty user/group when purging the package
  * Standards-Version updated to 4.6.0.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 18 Oct 2021 10:56:29 +0200

jetty9 (9.4.39-3) unstable; urgency=high

  * Team upload.
  * Fix CVE-2021-34429:
    URIs can be crafted using some encoded characters to access the content of
    the WEB-INF directory and/or bypass some security constraints.

