=== debian/control ===
Source: jetty12
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 ant-optional,
 debhelper-compat (= 13),
 default-jdk,
 dh-exec,
 javahelper,
 junit,
 libasm-java (>= 9.7),
 libbcpkix-java,
 libbuild-helper-maven-plugin-java,
 libeclipse-osgi-java,
 libeclipse-osgi-services-java,
 libel-api-java,
 libgeronimo-jta-1.2-spec-java,
 libjackson2-core-java,
 libjakarta-activation-java,
 libjakarta-authentication-api-java,
 libjakarta-cdi-api-java,
 libjakarta-interceptor-api-java,
 libjakarta-mail-java,
 libjakarta-servlet-api-java,
 libjakarta-standard-taglib-api-java,
 libjakarta-standard-taglib-impl-java,
 libjakarta-transaction-api-java,
 libjboss-logging-java,
 libjcip-annotations-java,
 libjnr-unixsocket-java,
 libjsp-api-java,
 libmail-java,
 libmaven-antrun-plugin-java,
 libmaven-assembly-plugin-java,
 libmaven-bundle-plugin-java,
 libmaven-dependency-plugin-java,
 libmaven-shade-plugin-java,
 libmockito-java,
 libnetty-java,
 libplexus-xml-java,
 libservlet-api-java,
 libslf4j2-java,
 libspring-beans-java,
 libtaglibs-standard-impl-java,
 libtaglibs-standard-spec-java,
 libtomcat9-java,
 libtomcat10-java,
 libwebsocket-api-java,
 maven-debian-helper (>= 2.2.8~),
 maven-repo-helper
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/java-team/jetty12.git
Vcs-Browser: https://salsa.debian.org/java-team/jetty12
Homepage: http://www.eclipse.org/jetty/

Package: libjetty12-java
Architecture: all
Depends:
 libel-api-java,
 libjakarta-annotation-api-java,
 libjsp-api-java,
 libservlet-api-java,
 libwebsocket-api-java,
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Java servlet engine and webserver -- core libraries
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.
 .
 This package contains the core libraries

Package: libjetty12-extra-java
Architecture: all
Depends:
 libasm-java (>= 7.0),
 libjetty12-java (>= ${source:Version}),
 libjnr-unixsocket-java,
 libmail-java,
 libspring-beans-java,
 libtaglibs-standard-impl-java,
 libtaglibs-standard-spec-java,
 libtomcat9-java,
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Java servlet engine and webserver -- extra libraries
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.
 The extra libraries include jetty-management, jetty-naming,
 jetty-servlet-tester, jetty-ajp, jetty-java5-threadpool,
 jetty-client, jetty-rewrite-handler, jetty-plus, jetty-annotations

Package: jetty12
Architecture: all
Depends:
 adduser,
 apache2-utils,
 default-jre-headless (>= 2:1.8) | java8-runtime-headless,
 libeclipse-jdt-core-java,
 libjetty12-extra-java (>= ${source:Version}),
 libjetty12-java (>= ${source:Version}),
 sysvinit-utils (>= 3.05-4~),
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Java servlet engine and webserver
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.
