=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with javahelper

override_dh_auto_test:

override_dh_link:
	VERSION=$(shell grep '<version>' pom.xml | head -1 | tail -1 | sed -e 's/.*<version>\(.*\)<\/version>.*/\1/') \
	dh_link
