## jetty12 12.0.32

=== debian/changelog ===
jetty12 (12.0.32-2) unstable; urgency=medium

  * Build the Java EE 8 modules (Closes: #1108370)
  * Updated the modules enabled by default in start.ini (Closes: #1108253)
  * Install the shaded start.jar in /usr/share/jetty12
  * Install the jetty-ee9 configuration files
  * Install the missing ee-webapp, jndi and plus .mod files
  * Install the symlinks to start.ini, start.d and the log directory
    in JETTY_BASE (/var/lib/jetty12) instead of JETTY_HOME (/usr/share/jetty12)
  * Removed the dead links in /usr/share/jetty12/lib/
  * Added the missing dependencies on the binary packages
  * Adjusted the classpath of the modules to match the jars
    in /usr/share/jetty12/lib
  * Depend on libtomcat10-java instead of libtomcat11-java
  * Tightened the dependency on libasm-java for libjetty12-extra-java
  * Require Java 17 or higher to run
  * Create the jetty user with systemd-sysusers
  * Create the $JETTY_BASE/lib/ext and $JETTY_BASE/resources directories
  * Set the JETTY_BASE variable in the service file
  * No longer use the upstream init.d script to start Jetty with systemd
  * Removed the unused JETTY_USER variable from /etc/default/jetty12
  * No longer manage the log directory permissions with systemd
    to keep it under the adm group
  * Fixed the removal of webapps/root/jetty_logo.png when uninstalling

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 26 Feb 2026 11:22:54 +0100

jetty12 (12.0.32-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Build the new jetty-alpn-bouncycastle-server module
  * Build the Jakarta EE 9 modules
  * Depend on libtomcat11-java instead of libtomcat10-java
  * Standards-Version updated to 4.7.3

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 13 Feb 2026 22:15:26 +0100
