=== debian/control ===
--- 
+++ 
@@ -12,23 +12,27 @@
  junit,
  libasm-java (>= 9.7),
  libbcpkix-java,
+ libbctls-java,
  libbuild-helper-maven-plugin-java,
  libeclipse-osgi-java,
  libeclipse-osgi-services-java,
  libel-api-java,
+ libgeronimo-annotation-1.3-spec-java,
  libgeronimo-jta-1.2-spec-java,
  libjackson2-core-java,
  libjakarta-activation-java,
  libjakarta-authentication-api-java,
- libjakarta-cdi-api-java,
+ libjakarta-cdi-api-java (>= 4.0.1-3~),
  libjakarta-interceptor-api-java,
+ libjakarta-jsp-api-java,
  libjakarta-mail-java,
- libjakarta-servlet-api-java,
+ libjakarta-servlet-api-java (>= 6.1.0-2~),
  libjakarta-standard-taglib-api-java,
  libjakarta-standard-taglib-impl-java,
  libjakarta-transaction-api-java,
  libjboss-logging-java,
  libjcip-annotations-java,
+ libjetty-modify-sources-maven-plugin-java,
  libjnr-unixsocket-java,
  libjsp-api-java,
  libmail-java,
@@ -50,7 +54,7 @@
  libwebsocket-api-java,
  maven-debian-helper (>= 2.2.8~),
  maven-repo-helper
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/java-team/jetty12.git
 Vcs-Browser: https://salsa.debian.org/java-team/jetty12
 Homepage: http://www.eclipse.org/jetty/
@@ -60,9 +64,18 @@
 Depends:
  libel-api-java,
  libjakarta-annotation-api-java,
+ libjakarta-el-api-java,
+ libjakarta-jsp-api-java,
+ libjakarta-servlet-api-java,
+ libjakarta-standard-taglib-api-java,
+ libjakarta-standard-taglib-impl-java,
  libjsp-api-java,
  libservlet-api-java,
- libwebsocket-api-java,
+ libslf4j2-java,
+ libtaglibs-standard-impl-java,
+ libtaglibs-standard-spec-java,
+ libtomcat9-java,
+ libtomcat10-java,
  ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Java servlet engine and webserver -- core libraries
@@ -76,14 +89,17 @@
 Package: libjetty12-extra-java
 Architecture: all
 Depends:
- libasm-java (>= 7.0),
+ libasm-java (>= 9.7),
+ libgeronimo-jta-1.2-spec-java,
+ libjakarta-authentication-api-java,
+ libjakarta-cdi-api-java (>= 4.0.1-3~),
+ libjakarta-interceptor-api-java,
+ libjakarta-transaction-api-java,
  libjetty12-java (>= ${source:Version}),
  libjnr-unixsocket-java,
  libmail-java,
  libspring-beans-java,
- libtaglibs-standard-impl-java,
- libtaglibs-standard-spec-java,
- libtomcat9-java,
+ libwebsocket-api-java,
  ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Java servlet engine and webserver -- extra libraries
@@ -100,10 +116,11 @@
 Depends:
  adduser,
  apache2-utils,
- default-jre-headless (>= 2:1.8) | java8-runtime-headless,
+ default-jre-headless (>= 2:1.17) | java17-runtime-headless,
  libeclipse-jdt-core-java,
  libjetty12-extra-java (>= ${source:Version}),
  libjetty12-java (>= ${source:Version}),
+ systemd (>= 238) | systemd-sysusers,
  sysvinit-utils (>= 3.05-4~),
  ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
