=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 %:
 	dh $@ --with javahelper
+
+override_dh_auto_build:
+	dh_auto_build
+
+	# Rename the shaded start.jar to be installed in /usr/share/jetty12
+	cp jetty-core/jetty-start/target/jetty-start-*shaded.jar jetty-core/jetty-start/target/start.jar
 
 override_dh_auto_test:
